function  battle_bai013(npcID)--岚翼

	
	--if player.IsPlayerInBattle(16)==1 and battle.CheckPlayerStat(16,725)==1 then
	if battle.CheckPlayerStat(16,725)==1 then
	    for se=1,7,1 do
        if battle.CheckNpcPlace(se)==0 then
	    local tid=battle.GetPlaceNpcID(se)
		    if npc.GetHP(tid,1)>2 then
			   npc.CreateSE(tid,3844)--剑斩的特效
			   global.PlaySound(531,200)--音效插入
			   npc.ChangeHP(1,0,tid,-2)
			end
	    end
		end	
	wt(1.5)
	end
	
	
	local sg=flag.GetBattleValue(16222)	--语言提示打法
	
	local m=flag.GetBattleValue(16001)   --回合计数
	local n=flag.GetBattleValue(16002)   --分身标记
	local t=flag.GetBattleValue(19016)   --称号旗标 
	local p=(m+3)%5

	
	if n==0 then
		if p==0 then
			t=t+1
			flag.SetBattleValue(19016,t)
			m=m+1
			flag.SetBattleValue(16001,m)
			flag.SetBattleValue(16002,1)
			hp=battle.GetSelfHP(1)
			flag.SetBattleValue(16003,hp)
			battle.MagicToNpc(npcID,232,2)
			battle.ActionTwice()
		else
			m=m+1
			flag.SetBattleValue(16001,m)
			a=battle.GetRndNumber(1,10)
			if a>=1 and a<=4 then
					id = battle.GetRndPlayer()
					battle.MagicToPlayer(id,228,1)    --普通攻击 
			elseif a>=5 and a<=8 then		
					battle.MagicToPlayer(0,229,2)
		
			else		
				battle.MagicToPlayer(0,231,1)
			end
		end
	elseif n==1 then
		--flag.SetBattleValue(16002,0)
		battle.Escape(1)
		return
	elseif n==2 then
		flag.SetBattleValue(16002,0)
		battle.MagicToNpc(npcID,230,2)
		global.WaitForBattleSEEnd(370)
		if sg==0 then   --战斗对话提示
			flag.SetBattleValue(16222,1)
			local zid=battle.GetRndPlayer()
			if zid==1 then
				uid=522
			elseif zid==2 then
				uid=183
			elseif zid==8 then
				uid=166
			elseif zid==16 then
				uid=110
			elseif zid==128 then
				uid=153
			end
					
			ui.Dialog(86989,uid,0,0,zid,0)--可恶，刚刚那些分身积蓄的能量都转化到本体身上了，它本体的速度越来越快。
			
			zid=battle.GetRndPlayer()
			if zid==1 then
				uid=522
			elseif zid==2 then
				uid=183
			elseif zid==8 then
				uid=166
			elseif zid==16 then
				uid=110
			elseif zid==128 then
				uid=153	
			end
			ui.Dialog(86990,uid,0,0,zid,0)--若是它再分身，我们以最快速度打掉其中一个分身即可。
		end
		
		
	end
	
	
	
	
end